tbb::internal::task_scheduler_observer_v3 Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
tbb::internal::task_scheduler_observer_v3 Class Reference
Inheritance diagram for tbb::internal::task_scheduler_observer_v3:

## Public Member Functions
void __TBB_EXPORTED_METHOD | observe (bool state=true)
| Enable or disable observation. More...
bool | is_observing () const
| Returns true if observation is enabled, false otherwise.
| task_scheduler_observer_v3 ()
| Construct observer with observation disabled.
virtual void | on_scheduler_entry (bool)
| Entry notification. More...
virtual void | on_scheduler_exit (bool)
| Exit notification. More...
virtual | ~task_scheduler_observer_v3 ()
| Destructor automatically switches observation off if it is enabled.

## Friends
class | observer_proxy
class | observer_list
class | interface6::task_scheduler_observer

## Member Function Documentation

void __TBB_EXPORTED_METHOD tbb::internal::task_scheduler_observer_v3::observe | ( | bool | state = `true`) |  |

Enable or disable observation.

For local observers the method can be used only when the current thread has the task scheduler initialized or is attached to an arena.

Repeated calls with the same state are no-ops.

Referenced by tbb::interface6::task_scheduler_observer::observe(), and ~task_scheduler_observer_v3().

virtual void tbb::internal::task_scheduler_observer_v3::on_scheduler_entry | ( | bool | ) |  |
| inlinevirtual

Entry notification.

Invoked from inside observe(true) call and whenever a worker enters the arena this observer is associated with. If a thread is already in the arena when the observer is activated, the entry notification is called before it executes the first stolen task.

Obsolete semantics. For global observers it is called by a thread before the first steal since observation became enabled.

virtual void tbb::internal::task_scheduler_observer_v3::on_scheduler_exit | ( | bool | ) |  |
| inlinevirtual

Exit notification.

Invoked from inside observe(false) call and whenever a worker leaves the arena this observer is associated with.

Obsolete semantics. For global observers it is called by a thread before the first steal since observation became enabled.

The documentation for this class was generated from the following file:

- task_scheduler_observer.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.